MORTextInternal::Topic Struct Reference

Internal: the topic data of a MORText. More...

## Public Types

enum | AttachementType { AOutline =0, AComment, ASpeakerNote }
| an enum used to define the different type of data attached to a topic More...

## Public Member Functions

| Topic ()
| constructor More...

## Public Attributes

MWAWEntry | m_entry
| the text entry More...
int | m_level
| the topic level More...
bool | m_isCloned
| true if the entry is cloned More...
int | m_cloneId
| if not 0, indicate that we must cloned the cloneId^th clone More...
bool | m_hasList [3]
| a list of boolean use to note if a topic is associated with a Outline, ... More...
int | m_attachList [3]
| a list of id to retrieve the attachment More...
int | m_numPageBreak
| the number of pages in the sub list More...
bool | m_isStartSlide
| true if we start a new slide More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<< More...

## Detailed Description

Internal: the topic data of a MORText.

## Member Enumeration Documentation

enum MORTextInternal::Topic::AttachementType

an enum used to define the different type of data attached to a topic

Enumerator
AOutline |
AComment |
ASpeakerNote |

## Constructor & Destructor Documentation

MORTextInternal::Topic::Topic | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Topic const & | topic
| ) |  |

friend

operator<<

## Member Data Documentation

int MORTextInternal::Topic::m_attachList[3]

a list of id to retrieve the attachment

Referenced by MORText::checkTopicList(), MORText::createZones(), MORText::getHeaderFooter(), MORText::sendTopic(), and Topic().

int MORTextInternal::Topic::m_cloneId

if not 0, indicate that we must cloned the cloneId^th clone

Referenced by MORText::checkTopicList(), MORText::createZones(), MORText::readTopic(), and MORText::sendTopic().

MWAWEntry MORTextInternal::Topic::m_entry

the text entry

Referenced by MORText::readTopic(), MORText::sendMainText(), and MORText::sendTopic().

std::string MORTextInternal::Topic::m_extra

extra data

Referenced by MORText::readTopic().

bool MORTextInternal::Topic::m_hasList[3]

a list of boolean use to note if a topic is associated with a Outline, ...

Referenced by MORText::createZones(), MORText::readTopic(), and Topic().

bool MORTextInternal::Topic::m_isCloned

true if the entry is cloned

Referenced by MORText::createZones(), and MORText::readTopic().

bool MORTextInternal::Topic::m_isStartSlide

true if we start a new slide

Referenced by MORText::readTopic().

int MORTextInternal::Topic::m_level

the topic level

Referenced by MORText::readTopic(), and MORText::sendTopic().

int MORTextInternal::Topic::m_numPageBreak

the number of pages in the sub list

Referenced by MORText::checkTopicList(), and MORText::createZones().

The documentation for this struct was generated from the following file:

- MORText.cxx